## Applet.TextIconApplet Applet.TextIconApplet — Applet with icon and label |

## Functions

| _init ()
| set_applet_label ()
| hide_applet_icon ()

## Properties

St.Label | _applet_label |

## Object Hierarchy

        Object
        ╰── Applet.Applet
            ╰── Applet.IconApplet
                ╰── Applet.TextIconApplet

## Description

Applet that displays an icon and a text. The icon is on the left of the text

## Functions

### _init ()

    _init (St.Side   orientation,
           int       panelHeight,
           int       instance_id);

#### Parameters

orientation | orientation of the applet; Orientation of panel containing the actor |
panelHeight | height of the panel containing the applet |
instance_id | instance id of the applet |

### set_applet_label ()

    set_applet_label (string   text);

Sets the text of the actor to `text`

#### Parameters

text | text to be displayed at the label |

### hide_applet_icon ()

    hide_applet_icon ();

Hides the icon of the applet

## Property Details

### The “_applet_label” property

      “_applet_label”        St.Label

Label of the applet